Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005600opensim[REGION] Specific OpenSim Modulepublic2011-07-22 10:242014-07-29 13:41
ReporterMichelle Argus 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005600: ReagionReady - Reports region as online even if regionlocation is occupied
DescriptionWhen a region starts the RegionReady module notifys that a region is online even if the regions gridloaction is occupied by another region. In this case the region will end the simulator and the region never realy goes online...
TagsNo tags attached.
Git Revision or version number-
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Linux32
Mono VersionOther
Viewer
Attached Files

- Relationships

-  Notes
(0019041)
BlueWall (administrator)
2011-07-22 18:26

I can only get messages that the region's login status is disabled in the case of an overlap ...

*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: disabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449
*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: disabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449
*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: disabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449
*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: disabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449


With a properly configured region I get this ...

*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: disabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449
*******************************
ALERT: region_ready REGION: BlueWall x2 LOGIN STATUS: enabled
REGION ID: 1c6ed69f-0b0f-40b9-b976-9c7939dc8449


Can you tell me if you have other options set, or modules that might effect it?


Thanks!
(0019045)
Michelle Argus (reporter)
2011-07-23 02:40

Right BlueWall, but a region that overlaps shouldnt have the alert message "region_ready" as that region will be terminated nomatter if logins are disabled/enabled.

 Other option could be to add notifications if a region gets terminated. That could trigger the external service to do whatever work is needed from there on.
(0019046)
BlueWall (administrator)
2011-07-23 08:52

I see. Here is what is happening: The message category is "region_ready", and the login status is "disabled". The alert category will be "region_ready" and the login status will be "enabled" when the region is allowing users to log in.

- Issue History
Date Modified Username Field Change
2011-07-22 10:24 Michelle Argus New Issue
2011-07-22 10:24 Michelle Argus Git Revision => -
2011-07-22 10:24 Michelle Argus Run Mode => Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2011-07-22 10:24 Michelle Argus Physics Engine => BasicPhysics
2011-07-22 10:24 Michelle Argus Environment => Mono / Linux32
2011-07-22 10:24 Michelle Argus Mono Version => Other
2011-07-22 18:26 BlueWall Note Added: 0019041
2011-07-23 02:40 Michelle Argus Note Added: 0019045
2011-07-23 08:52 BlueWall Note Added: 0019046
2012-07-19 16:15 justincc Status new => resolved
2012-07-19 16:15 justincc Resolution open => no change required
2012-07-19 16:15 justincc Assigned To => justincc
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker